DSTAT(1)

NAME
Dstat - Versatile tool for generating system resource statistics

SYNOPSIS
dstat [-afv] [-cdgilmnpsty] [-D..] [-I..] [-N..] [delay [count]]

DESCRIPTION
Dstat is a versatile replacement for vmstat, iostat and ifstat. Dstat overcomes some of the limitations and adds some extra features. For Debian users of Sleuthkit, /usr/bin/dstat has been renamed to /usr/bin/datastat to avoid a name conflict. See bug #283709 for more information. Dstat allows you to view all of your system resources instantly, you can eg. compare disk usage in combination with interrupts from your IDE controller, or compare the network bandwidth numbers directly with the disk throughput (in the same interval).

-c, --cpu
    enable cpu stats

-C 0,3,
    include cpu0, cpu3 and total

-d, --disk
    enable disk stats

-D total,hda
    include hda and total

-g, --page
    enable page stats

-i, --int
    enable interrupt stats

-I 5,eth2
    include int5 and interrupt used by eth2

-l, --load
    enable load stats

-m, --mem
    enable memory stats

-n, --net
    enable network stats

-N eth1,total
    include eth1 and total

-p, --proc
    enable process stats

-s, --swap
    enable swap stats

-t, --time
    enable time counter

-y, --sys
    enable system stats

-M stat1,stat2
    enable specific stats Possible stats are:
      cpu, disk, page, int, load, mem, net, proc,
      swap, sys, tcp, time, udp

-a, --all
    equals -cdngyl

-v, --vmstat
    equals -pmgdsc -D total

-f, --full
    expand -D, -I and -N discovery lists

--csv
    output CSV format

--integer
    show integer values

--nocolor
    disable colors (implies --noupdate)

--noheader
    disable repetitive headers

--noupdate
    disable intermediate updates when delay > 1

AUTHOR
Written by Dag Wieers <dag@wieers.com> Homepage at http://dag.wieers.com/home-made/dstat/ This manpage was written by Andrew Pollock <apollock@debian.org> for the Debian GNU/Linux system, but may be used by others.